.. AUTO-GENERATED FILE. DO NOT EDIT. GET /one-get-session ==================== Summary ------- - **Source repository:** ``jef-systems/jef-one-backend`` - **Source SHA:** ``e96c5a3e498688e508b48a6c244ebbcb28dec45f`` - **Source run id:** ``25680569267`` - **Module:** ``One`` - **Lambda function:** ``jef-one-get-session`` - **HTTP method:** ``GET`` - **Invocation mode:** ``sync`` - **Package mode:** ``with-packages`` - **API category:** ``One Complex With Package Sync GET APIs`` - **API path:** ``/one-get-session`` - **Endpoint URL:** ``https://1agiiayfri.execute-api.ap-southeast-1.amazonaws.com/prod/one-get-session`` - **Documentation scope:** ``lambda-complex-with-packages`` Sync Read Rule -------------- This GET API is documented as a direct synchronous read path. Description ----------- Synchronously retrieves one jef-one session by session\_id. Payload Example --------------- .. code-block:: json { "session_id": "session-00001" } Payload Schema -------------- .. code-block:: json { "session_id": "string" } Response Schema --------------- .. code-block:: json { "is_accepted": "boolean", "message": "string", "session_id": "string", "item": "object", "allowed_method": "string", "error_type": "string", "error_code": "string", "errors": "array", "error": "string" } CMD curl -------- .. code-block:: bat curl -X GET "https://1agiiayfri.execute-api.ap-southeast-1.amazonaws.com/prod/one-get-session" PowerShell curl --------------- .. code-block:: powershell curl.exe -X GET "https://1agiiayfri.execute-api.ap-southeast-1.amazonaws.com/prod/one-get-session"